<template>
  <div>
    <div class="my-4">
      <div v-if="place.formatted_address" class="mb-2">
        <Icon name="mdi:web" class="mr-4" size="20" color="blue" />
        <span>{{ place.formatted_address }}</span>
      </div>

      <div v-if="place.current_opening_hours" class="mb-2">
        <Icon name="mdi:clock-outline" class="mr-4" size="20" color="blue" />
        <span v-if="place.current_opening_hours.open_now"
          :class="{
            'text-success': place.current_opening_hours.open_now,
            'text-warning': !place.current_opening_hours.open_now,
            'align-middle': true,
          }"
        >
          {{ place.current_opening_hours.open_now ? 'Open' : 'Close' }}
        </span>
      </div>

      <div class="mb-2">
        <Icon name="mdi:phone" class="mr-4" size="20" color="blue" />
        <span>{{ place.formatted_phone_number }}</span>
      </div>
    </div>

    <h2 class="text-2xl">Photos:</h2>
    <hr class="my-2" />

    <div class="grid grid-cols-2 md:grid-cols-6 mb-12">
      <button
        v-for="photo in place.photos"
        :key="photo.photo_reference"
        class="cursor-pointer"
        @click="showModel(photo.photo_reference)"
      >
        <TheImage :photoReference="photo.photo_reference" />
      </button>
    </div>

    <dialog v-if="isOpenModel" class="w-screen h-screen fixed top-0 left-0 overflow-hidden bg-transparent bdg-slate-100" :open="isOpenModel">
      <div class="w-full h-full relative bg-slate-100 mx-auto p-16" @click="isOpenModel = false">
        <button class="btn btn-circle btn-outline absolute top-4 right-8">close</button>

        <div class="w-full h-full flex justify-center items-center mx-auto">
          <TheImage :photoReference="modelRef" :width="400" :is-large="true" />
        </div>
      </div>
    </dialog>
  </div>
</template>

<script setup lang="ts">
import { ref } from 'vue'
const { place } = defineProps(['place'])

const isOpenModel = ref(false)
const modelRef = ref<string|null>(null)
const showModel = (refImage: string) => {
  modelRef.value = refImage
  isOpenModel.value = !isOpenModel.value
}
</script>
